POST /webhooks/{id}/test

Queue a webhook.test event to this webhook only (sent by the worker within about a minute)

POST
/webhooks/{id}/test

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

Webhook id

Response Body

{delivery}

application/json
  1. response
delivery?
Example Request
curl -X POST 'https://example.com/api/v1/webhooks/string/test'
Example Response
{  "delivery": {    "id": "string",    "webhookId": "string",    "event": "post.published",    "status": "pending",    "responseCode": 0,    "attempts": 0,    "nextAttemptAt": "2019-08-24T14:15:22Z",    "lastError": "string",    "deliveredAt": "2019-08-24T14:15:22Z",    "redeliveryOf": "string",    "idempotencyKey": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "payload": {}  }}